package de.cnam.jemina.stub.auth;

import de.cnam.jemina.extern.auth.IUser;

/**
 * Testimplementierung des User-Objektes, welches von einem Fremdprogramm
 * &uuml;bergeben wird.
 * 
 * @see IUser
 * @author CNAM Team (Nadine, Mike, Jens)
 * @since 20.01.2013
 */
public class User implements IUser {
    
    private String loginId;
    private String name;
    private ROLLE role;
    private String theme;

    public User(String loginId, String name, ROLLE role, String theme) {
        this.loginId = loginId;
        this.name = name;
        this.role = role;
        this.theme = theme;
    }
    
    @Override
    public String getLoginId() {
        return loginId;
    }

    @Override
    public String getName() {
        return name;
    }

    @Override
    public ROLLE getRole() {
        return role;
    }

    @Override
    public String getTheme() {
        return theme;
    }

    public void setLoginId(String loginId) {
        this.loginId = loginId;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setRole(ROLLE role) {
        this.role = role;
    }

    public void setTheme(String theme) {
        this.theme = theme;
    }
    
    
}
