package de.cnam.jemina.objects;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * POJO-Klasse
 * @author CNAM Team (Nadine, Mike, Jens)
 */
public class Zeitschrift extends Artikel {
    
    private String herausgeber;

    public Zeitschrift(String herausgeber, String titel, String beschreibung) {
        super(titel, beschreibung);
        this.herausgeber = herausgeber;
    }

    /**
     * Liefert den Herausgeber der Zeitschrift
     * @return 
     */
    public String getHerausgeber() {
        return herausgeber;
    }

    public void setHerausgeber(String herausgeber) {
        this.herausgeber = herausgeber;
    }

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this);
    }
    
}
